Skip to navigation

Create Files

View as Markdown

POST /restapi/{apiVersion}/signature/files?uploadType=multipart

This call allows the Trust Service Provider (TSP) to upload evidence files to Docusign’s secure storage system for use in digital signature transactions.

Request Header Parameters

The following header parameters apply to the TSP API and the CMS API calls.

NameTypeDescription
AuthenticationStringRequired. See Authentication.
Content-TypeStringRequired. Specifies the type of data returned in the request body. This parameter must be set to multipart/form-data.
X-Docusign-CorrelationTokenGUIDOptional. ID used for telemetry. Docusign recommends that you set up a correlation token for all the TSP API and CMS API calls.

Request Query Parameters

This table provides descriptions of the query parameters in the request.

NameTypeDescription
uploadTypeStringRequired. Specifies the upload type of the file. This parameter must be set to multipart.

Request Body Parameters

This table provides descriptions of the information in the request body.

NameDescription
filesRequired. One or more files can be uploaded. Each file should be sent as a separate part in the multipart form data with the field name “files”.

Response Information

If successful, the endpoint returns an HTTP status code without a response body.

Status CodeDescription
200Files were successfully uploaded and processed.
Request syntax
POST /restapi/2.1/signature/files?uploadType=multipart HTTP/1.1
Host: ...
Content-Length: 427
Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="files"; filename="file1.json"
Content-Type: application/json
(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="files"; filename="file2.pdf"
Content-Type: application/pdf
(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW--
Request syntax
POST /restapi/2.1/signature/files?uploadType=multipart HTTP/1.1
Host: ...
Content-Length: 427
Content-Type: multipart/form-data;
boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="files"; filename="file1.
json"
Content-Type: application/json
(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="files"; filename="file2.
pdf"
Content-Type: application/pdf
(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW--